<br>
<p align="left">
  <a href="http://propeller.in/">
    <img height="40" src="https://demophp.digi-corp.com/CreativeZone/Websites/Propeller/HTML/assets/images/propeller-logo.png" />
  </a>
  <p align="left">
    A front-end responsive framework 
    based on Google's Material Design Standards & Bootstrap.  
    <br>
    <a href="http://propeller.in/"><strong>Visit Propeller &raquo;</strong></a>
  </p>
</p>

## Table of contents

- [Key Features](#key-features)
- [Quick start](#quick-start)
- [Propeller Guideline](#propeller-guideline)
- [What's included](#whats-included)
- [Browser Support](#browser-support)
- [Bugs and feature requests](#bugs-and-feature-requests)
- [Community](#community)
- [License](#license)
- [Author](#author)


## Key Features

- Library with 25 Responsive UI Components

- Ready to use template which speeds up the Development process 

- Detailed User Manual which provides step by step usage for every Propeller component.


## Quick start

There are different ways you can start using Propeller,

- [Download the latest release.](https://github.com/digicorp/propeller/blob/master/archive/pmd-1.1.0.zip)
- Clone the repo: `git clone https://github.com/propeller.git`
- Install with Bower: `bower install propeller`
- Install with npm: `npm install propellerkit`

Using third party components:

- Install Select2 with npm: `npm install propellerkit-select2`
- Install range slider with npm: `npm install propellerkit-range-slider`
- Install datetimepicker with npm: `npm install propellerkit-datetimepicker`
- Install datatables with npm: `npm install propellerkit-datatables`
- Install custom scrollbar with npm: `npm install propellerkit-custom-scrollbar`


## Propeller Guidelines

Follow our [Guidelines](http://propeller.in/docs/index.php) and get familiar with the basic setup and structure.


## What's included

 The downloaded folder will have following directories and files, with a logical grouping of common assets including both compiled and minified versions.

```
Propeller/
├── css/
│    ├── bootstrap.css
│    ├── bootstrap.min.css
│    ├── propeller.css
│    ├── propeller.min.css
├── js/
│    ├── jquery.min.js
│    ├── bootstrap.js
│    ├── bootstrap.min.js
│    ├── propeller.js
│    ├── propeller.min.js
├── fonts/
│    ├── roboto/
└── index.html
```

Just copy the compiled CSS and JS files and the font files(created for icons) from the .zip and add them to your project.


## Browser Support

- Firefox, Chrome, Safari Mac
- IE 9+
- Android 4.4+, Chrome for Android 44+
- iOS Safari 7+


## Bugs and feature requests

Found any bug or issue? Post them on [GITHUB](https://github.com/digicorp/propeller/issues).
Have feedback, suggestions or Questions? Join [GITTER CHAT ROOM](https://gitter.im/Propeller-Material-Design-Bootstrap-Framework/Support).


## Community

Get updates on Propeller's development. Chat with the Product team and community members using Propeller.

- Follow [@propellerkit on Twitter](https://twitter.com/PropellerKit).
- Chat with fellow members on [GITTER](https://gitter.im/Propeller-Material-Design-Bootstrap-Framework/Support).


## Versioning

For transparency into our release cycle and in striving to maintain backward compatibility, Propeller is maintained under [the Semantic Versioning guidelines](http://semver.org/). Sometimes we screw up, but we'll adhere to those rules whenever possible.

See [the Releases section of our GitHub project](https://github.com/digicorp/propeller/releases) for changelogs for each release version of Propeller.


## License

Propeller v1.3.1 (http://propeller.in)
© 2016-2018 [Digicorp Information Systems Pvt. Ltd.](https://www.digi-corp.com/)
Licensed under [MIT](https://github.com/digicorp/propeller/blob/master/LICENSE)


## Author

Developed and maintained at [Digicorp](https://www.digi-corp.com/).
